OAuthCredentialService
The OAuthCredentialService methods and their request and response messages.
Generated from oauth.proto. Every method is
POST /rpc/engram.app.v1.OAuthCredentialService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
BeginFlow |
BeginFlowRequest |
BeginFlowResponse |
GetFlow |
GetFlowRequest |
GetFlowResponse |
CancelFlow |
CancelFlowRequest |
CancelFlowResponse |
ListCredentials |
ListCredentialsRequest |
ListCredentialsResponse |
Disconnect |
DisconnectRequest |
DisconnectResponse |
PutCredential |
PutCredentialRequest |
PutCredentialResponse |
LookupRedirectFlow |
LookupRedirectFlowRequest |
LookupRedirectFlowResponse |
BeginRedirectFlow |
BeginRedirectFlowRequest |
BeginRedirectFlowResponse |
CompleteRedirectFlow |
CompleteRedirectFlowRequest |
CompleteRedirectFlowResponse |
FetchSessionCredential |
FetchSessionCredentialRequest |
FetchSessionCredentialResponse |
UpdateSessionCredential |
UpdateSessionCredentialRequest |
UpdateSessionCredentialResponse |
Messages
Section titled “Messages”BeginFlowRequest
Section titled “BeginFlowRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
BeginFlowResponse
Section titled “BeginFlowResponse”| Field | Type |
|---|---|
flow |
OAuthFlow |
verification_url |
string |
user_code |
string |
BeginRedirectFlowRequest
Section titled “BeginRedirectFlowRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
spec |
RedirectOauthSpec |
redirect_uri |
string |
BeginRedirectFlowResponse
Section titled “BeginRedirectFlowResponse”| Field | Type |
|---|---|
flow |
OAuthFlow |
authorize_url |
string |
CancelFlowRequest
Section titled “CancelFlowRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
flow_id |
string |
CancelFlowResponse
Section titled “CancelFlowResponse”| Field | Type |
|---|---|
flow |
OAuthFlow |
CompleteRedirectFlowRequest
Section titled “CompleteRedirectFlowRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
flow_id |
string |
code |
string |
redirect_uri |
string |
spec |
RedirectOauthSpec |
CompleteRedirectFlowResponse
Section titled “CompleteRedirectFlowResponse”| Field | Type |
|---|---|
credential |
OAuthCredentialMeta |
DisconnectRequest
Section titled “DisconnectRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
expected_version |
int64 |
DisconnectResponse
Section titled “DisconnectResponse”| Field | Type |
|---|---|
credential |
OAuthCredentialMeta |
FetchSessionCredentialRequest
Section titled “FetchSessionCredentialRequest”| Field | Type |
|---|---|
session_id |
string |
broker_token |
string |
FetchSessionCredentialResponse
Section titled “FetchSessionCredentialResponse”| Field | Type |
|---|---|
provider |
string |
version |
int64 |
opaque_bundle |
bytes |
GetFlowRequest
Section titled “GetFlowRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
flow_id |
string |
GetFlowResponse
Section titled “GetFlowResponse”| Field | Type |
|---|---|
flow |
OAuthFlow |
ListCredentialsRequest
Section titled “ListCredentialsRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
ListCredentialsResponse
Section titled “ListCredentialsResponse”| Field | Type |
|---|---|
credentials |
repeated OAuthCredentialMeta |
LookupRedirectFlowRequest
Section titled “LookupRedirectFlowRequest”| Field | Type |
|---|---|
flow_id |
string |
LookupRedirectFlowResponse
Section titled “LookupRedirectFlowResponse”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
status |
string |
OAuthAccountMetadata
Section titled “OAuthAccountMetadata”| Field | Type |
|---|---|
display_name |
string (optional) |
plan_type |
string (optional) |
workspace_id |
string (optional) |
workspace_name |
string (optional) |
OAuthCredentialMeta
Section titled “OAuthCredentialMeta”| Field | Type |
|---|---|
provider |
string |
version |
int64 |
connected |
bool |
account |
OAuthAccountMetadata |
created_at |
string |
updated_at |
string |
status |
string |
expires_at |
string |
subject_id |
string |
OAuthFlow
Section titled “OAuthFlow”| Field | Type |
|---|---|
id |
string |
provider |
string |
status |
string |
error_code |
string (optional) |
expires_at |
string |
updated_at |
string |
OAuthSubject
Section titled “OAuthSubject”| Field | Type |
|---|---|
kind |
OauthSubjectKind |
id |
string |
PutCredentialRequest
Section titled “PutCredentialRequest”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
secret |
string |
PutCredentialResponse
Section titled “PutCredentialResponse”| Field | Type |
|---|---|
credential |
OAuthCredentialMeta |
RedirectMetadataProbe
Section titled “RedirectMetadataProbe”| Field | Type |
|---|---|
method |
string |
host |
string |
path |
string |
body |
string |
map |
map<string, string> |
RedirectMetadataSpec
Section titled “RedirectMetadataSpec”| Field | Type |
|---|---|
from_token_response |
map<string, string> |
probe |
RedirectMetadataProbe |
RedirectOauthSpec
Section titled “RedirectOauthSpec”| Field | Type |
|---|---|
authorize_url |
string |
token_url |
string |
scopes |
repeated string |
scope_delimiter |
string |
extra_authorize_params |
map<string, string> |
client_id_ref |
string |
client_secret_ref |
string |
pkce |
bool |
metadata |
RedirectMetadataSpec |
scopes_param |
string |
grant_path |
string |
UpdateSessionCredentialRequest
Section titled “UpdateSessionCredentialRequest”| Field | Type |
|---|---|
session_id |
string |
broker_token |
string |
expected_version |
int64 |
opaque_bundle |
bytes |
UpdateSessionCredentialResponse
Section titled “UpdateSessionCredentialResponse”| Field | Type |
|---|---|
provider |
string |
version |
int64 |
opaque_bundle |
bytes |
OauthSubjectKind
Section titled “OauthSubjectKind”| Value | Number |
|---|---|
OAUTH_SUBJECT_KIND_UNSPECIFIED |
0 |
OAUTH_SUBJECT_KIND_USER |
1 |
OAUTH_SUBJECT_KIND_CONNECTOR |
2 |
OAUTH_SUBJECT_KIND_MCP |
3 |
OAUTH_SUBJECT_KIND_USER_CONNECTOR |
4 |